module Admin
  class DashboardController < Admin::BaseController
    def index
      @conferences_count = Conference.count
      @users_count = User.count
      @sessions_count = Session.count
      @assignments_count = Assignment.count
      @recent_imports = ImportHistory.order(created_at: :desc).limit(5)
      @admin_users = Role.find_by(name: "admin")&.users || []
      @shift_coordinators = Role.find_by(name: "shift_coordinator")&.users || []
      @events_admins = Role.find_by(name: "events_admin")&.users || []
    end
  end
end
